Bug 447338 - Review Request: email2trac - Utilities for converting emails to trac tickets
Review Request: email2trac - Utilities for converting emails to trac tickets
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Stanley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 11:47 EDT by Jesse Keating
Modified: 2013-01-09 22:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 17:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonstanley: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-05-19 11:47:46 EDT
Spec URL: http://jkeating.fedorapeople.org/review/email2trac.spec
SRPM URL: http://jkeating.fedorapeople.org/review/email2trac-0.13-1.fc9.src.rpm
Description: 
This is a release of the SARA package email2trac that contains utilities that
we use to convert emails to trac tickets. The initial setup was made by
Daniel Lundin from Edgewall Software. SARA has extend the initial setup,
with the following extensions:

    * HTML messages
    * Attachments
    * Use commandline options
    * Use config file to change the behaviour of the email2trac.py program
    * Some unicode support for special characters in the headers of an email
      message
Comment 1 Jon Stanley 2008-05-19 12:33:20 EDT
taking review
Comment 2 Jon Stanley 2008-05-19 18:16:20 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:

3a6e707d958e577e49ec351bb781ff78  email2trac.tar.gz
3a6e707d958e577e49ec351bb781ff78  build/SOURCES/email2trac.tar.gz

N/A - Package needs ExcludeArch
OK - BuildRequires correct
N/A - Spec handles locales/find_lang
N/A - Package is relocatable and has a reason to be.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
N/A - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

N/A - Headers/static libs in -devel subpackage.
N/A - Spec has needed ldconfig in post and postun
N/A - .pc files in -devel subpackage/requires pkgconfig
N/A - .so files in -devel subpackage.
N/A - -devel package Requires: %{name} = %{version}-%{release}
N/A - .la files are removed.

N/A - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
SEE NOTES - No rpmlint output.
email2trac.x86_64: E: wrong-script-interpreter /usr/bin/email2trac ""
email2trac.x86_64: E: wrong-script-interpreter /usr/bin/delete_spam ""
 - final provides and requires are sane:
     (include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo
=; rpm -qp --requires $i; echo; done
      manually indented after checking each line.  I also remove the rpmlib junk
and anything provided by glibc.)

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs -
http://koji.fedoraproject.org/koji/taskinfo?taskID=617777
N/A - Should function as described. - I don't have a trac instance so can't test
OK - Should have sane scriptlets.
N/A - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version
N/A - check for outstanding bugs on package. (For core merge reviews)

NOTES:

Not sure how the python interpreter got whacked in in the final output, but it did.

Fix that and this package is fine.
Comment 3 Jon Stanley 2008-05-19 18:30:30 EDT
Actually this goes away if you BR python.
Comment 5 Jon Stanley 2008-05-20 10:28:36 EDT
This package is APPROVED now.
Comment 6 Jesse Keating 2008-05-20 11:11:17 EDT
New Package CVS Request
=======================
Package Name: email2trac
Short Description: Utilities for converting emails to trac tickets
Owners: jkeating
Branches: EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-05-20 12:14:29 EDT
cvs done.
Comment 8 Jesse Keating 2008-05-20 17:01:32 EDT
Built for rawhide.

Note You need to log in before you can comment on or make changes to this bug.